/* 
   GRUNDLÄGGANDE STILAR (allt som gäller typ alla sidor)
*/

body {
    text-align: center;
    font-family: 'Roboto';
}

@font-face {
    font-family: 'Roboto';
    src: url('fonts/Roboto-VariableFont_wdth,wght.ttf');
}

p {
    font-size: 1vw;
}

.intro p {
    font-size: 1.5vw;
}

.intro {
    margin-bottom: 10%;
    margin-top: 10%;
}

a {
    text-decoration: none;
    color: black;
}

/*
   SIDLAYOUT OCH STRUKTUR (för att få allt att hamna i mitten)
*/

.allpage {
    display: grid;
    grid-template-columns: 5% 90% 5%;
}

/* 
   HEADER & NAVIGATION (det innan .gapmit och de)
*/

header {
    display: grid;
    grid-template-columns: 1fr 1fr 2fr;
    margin: 0 5%;
}

.logo {
    vertical-align: middle;
    width: 50%;
    margin-top: 3%;
}

.headlinks {
    text-align: right;
    margin-top: 4%;
    margin-bottom: 5%;
}

header a {
    font-weight: 500;
    color: black;
    text-decoration: none;
    font-size: 2.2vw;
    border: white solid 3px;
    margin-left: 4%;
    padding: 0.5%;
}

header a:hover {
    border: black solid 3px;
}

/* 
   INLOGGNING / LOGIN (loginknappen högst upp åt höger)
*/

.login {
    border: none;
}

.login img {
    width: 5%;
}

.login img:hover {
    opacity: 80%;
}

.login:hover {
    border: none;
}

/* 
   RUBRIKER (h1 -> h4)
*/

h3 {
    font-size: 2vw;
    text-align: left;
}

h4 {
    font-size: 1.6vw;
    background-color: #1c1c1c;
    color: white;
    margin: 0 10%;
    padding: 1%;
    height: 100%;
}

.newlypur1 h4 {
    height: auto;
}

/* 
   SÖKFÄLT (högst upp)
*/

.searchbar, .searchbar2 {
    border: none;
    font-size: 1.5vw;
}

.searchbar {
    height: 50%;
    align-self: center;
}

.searchbar2 {
    width: 80%;
    padding: 1% 0;
    margin: 2.4% 0;
    margin-left: 20%;
}

/* 
    DROPDOWNMENY (när man håller över "Products")
*/

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #1c1c1c;
    min-width: 160px;
    width: max-content;
    padding: 12px 16px;
    z-index: 1;
}

.dropdown:hover .dropdown-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.dropdown-content a {
    border: none;
    color: white;
}

.dropdown-content a:hover {
    background-color: #555;
    border: none;
}

/* 
   BILDER OCH BILDEFFEKTER
*/

img {
    width: 80%;
}

.imglrg, .imglrg2 {
    width: 100%;
}

.imglrg2 {
    margin-bottom: 5%;
}

.imglrgdiv {
    background-image: url('img/slutprojekt/make3hover.jpg');
    background-size: contain;
    background-repeat: no-repeat;
}

.imglrg:hover {
    opacity: 0;
    transition: 0.5s ease-in-out;
}

/* 
   PRODUKTSEKTIONER (i products- och slutprojekt sidan)
*/

.products,
.mospop {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

.alsobought {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    margin-bottom: 10%;
}

.foru {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.newlypur1 {
    display: grid;
    grid-template-columns: 39% 62%;
    margin-bottom: 5%;
}

.newlypur2 {
    display: grid;
    grid-template-columns: 1fr;
}

.prodcontainer {
    display: grid;
}

.products img,
.foru img,
.mospop img,
.alsobought img,
.newlypur1 img {
    margin-left: 10%;
}

/* 
    LÄS MER-KNAPPAR (gömd beskrivning av produkten)
*/

.hidden-text {
    display: none;
}

.showmore {
    margin: 10px 8% 10% 0;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 1.5vw;
    text-align: right;
}

.newlypur2 .showmore {
    margin-bottom: 3%;
}

.showmore:hover {
    text-decoration: underline;
}

/* 
   TABELLER (foruminlägg)
*/

table, .table {
    width: 60%;
    text-align: left;
    margin: 0 20% 5% 20%;
    border-collapse: collapse;
    border: solid #1c1c1c 4px;
}

.table {
    margin: 0 0 5% 20%;
    width: 80%;
}
.table p{
    font-size: 1.2vw;
}
.table div{
    font-size: 1vw;
}
table a:hover, .table a:hover, .theforumpost a:hover {
    text-decoration: underline;
}

.tabgray, .tabwhite{
    display: grid;
    grid-template-columns: 60% 40%;
    align-items: end;
}

.tabgray img, .tabwhite img {
    height: 100%;
    width: 100%;
}

.tabgray, .tablegray {
    background-color: #1c1c1c;
    color: white;
}

.tabgray a, .theforumpost a, .tablegray a {
    color: white;
}


.submit {
    font-size: 15px;
    margin-top: 1%;
}

/* 
   FOOTER (längst ner under .allpage)
*/

.prefoot {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
}

.prefoot img {
    margin-bottom: 10%;
    margin-left: 10%;
    border-radius: 5%;
}

.prefoot a {
    margin-bottom: 5%;
}

footer {
    background-image: url('img/slutprojekt/gradient.jpg');
    color: white;
    padding-top: 1%;
}

.realfooter {
    display: grid;
    grid-template-columns: 2fr 1fr 1fr;
    gap: 5%;
    text-align: left;
    padding: 0 5% 1% 3%;
}

footer a {
    display: grid;
    grid-template-columns: 1fr;
    font-weight: 500;
    text-decoration: none;
    font-size: 1.7vw;
    margin: 0 0 7% 4%;
    padding: 0.5%;
    color: white;
}

footer a:hover {
    color: #555;
}

footer p {
    font-size: 1vw;
}

.footmedia {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    width: 120%;
}

.footmedia a:hover {
    width: 105%;
}

/* 
   PRODUKT HOVEREFFEKT (håll över bild 2)
*/

#hover1 {
    display: grid;
}

#hover2 {
    display: none;
}

#hovereffekt:hover #hover1 {
    display: none;
}

#hovereffekt:hover #hover2 {
    display: grid;
}

/* 
   FORUM
*/

.forumdiv {
    display: grid;
    grid-template-columns: 20% 80%;
}


.cmtpfp {
    width: 4%;
}

.forumcont {
    border: #1c1c1c solid 4px;
    margin-top: 10%;
}

.forumcont h4 {
    margin: 0;
    padding-bottom: 4px;
    background-color: #1c1c1c;
}

.forumcont p{
    font-size: 1.2vw;
}

.forumcont a:hover {
    text-decoration: underline;
}

.forumcont input {
    margin: 2%;
    width: 83%;
    border: none;
    font-size: 1.4vw;
}

.forumcont .write {
    font-size: 1vw;
}

.newposts {
    display: grid;
    grid-template-columns: 80% 20%;
    text-align: left;
    font-size: 1.7vw;
}

/* FORUMPOST */

.forumpost {
    margin-left: 10%;
    margin-right: 10%;
    margin-bottom: 10%;
}



.theforumpost {
    background-color: #1c1c1c;
    color: white;
}

.forumpost div{
    text-align: left;
    border: solid 4px #1c1c1c;
    font-size: 1.5vw;
}

.forumpost p{
    font-size: 1.2vw;
}

.oppfp {
    width: 10%;
}
